<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";
	$id_bomba = $_POST['id_bomba'];

	$datos = " Ingresa a obtener_extendido de la bomba=".$id_bomba;	
		insertarLog($datos,$id_aplicacion);

	$array = array();

	$sql = "select ";
	$sql .= "extendido ";
	$sql .= "from ";
	$sql .= "bombas ";
	$sql .= "where ";
	$sql .= "id_bomba=  ".$id_bomba." ";
	
	$sentencia = $conexion->prepare($sql);
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$bomba['extendido'] = $fila['extendido'];
		$array[$cont] = $bomba;
		$cont++;
	}

	$datos = " Regresa informacion valor extendido de la bomba=".$id_bomba;	
		insertarLog($datos,$id_aplicacion);
		
	echo response(0,"OK",$array);
	$sentencia->close();
	$conexion->close();

	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>